Subject: RE: [Megaco] wildcards

From: "Kevin Boyle" <[email-masked]>
Date: Wed, 21 Dec 2005 11:04:27 -0500

The association between phone numbers and TerminationIDs is an
implementation detail.  Hunt Groups are a common telephony feature that
would be defined by the appropriate regional standardization body
(Telcordia for NA, for example).  There are literally thousands of phone
features.  Very few of them are covered in the H.248 spec, since that is
out of scope for the protocol.
 
Kevin

________________________________

	From: Arash. [mailto:[email-masked]] 
	Sent: Wednesday, December 21, 2005 2:53 AM
	To: Taylor, Tom-PT [CAR:5N00:EXCH]; Boyle, Kevin
[NCRTP:3Z40:EXCH]
	Cc: [email-masked]
	Subject: Re: [Megaco] wildcards

	Thanks for your informative replys.
	
	To Tom :
	Sorry for taking your time,the subject is not clarified for me
completly yet.
	
	1- Based on your reply that 
	"Megaco model does not assume that phone numbers are assigned to
specific terminations", 
	and "The linkage between phone number and TerminationID would
normally be kept in the MGC."
	Suppose the MGC has been told to make a connection between
phonenumber XX and phonenumber YY which are provisioned in 2 different
trunking GateWays.
	How the MGC decides which TermID's are associated to these
phonenumbers to Add them?
	
	2- What is the Hunt Group feature ? I couldnt find it in RFC3525
.
	
	Arash.

	On 12/20/05, Kevin Boyle <[email-masked]> wrote: 

		If the intent was to add a single termination, then
using ALL wouldn't
		be a very good idea.  CHOOSE can be used with physical
terminations, as
		long as enough information about the termination is sent
with the
		command to allow the MG to determine the appropriate
TerminationID. 
		Generally speaking, this would be via partial
specification of the
		TerminationID.
		
		Note that DigitMaps do not describe an attribute of the
termination.
		Rather, DigitMaps describe the digit sequences that are
to be collected 
		via completion events sent in the Events Descriptor.
		
		Kevin
		
		-----Original Message-----
		From: [email-masked] [mailto:
[email-masked] <mailto:[email-masked]> ] On Behalf
		Of Taylor, Tom-PT [CAR:5N00:EXCH]
		Sent: Tuesday, December 20, 2005 10:11 AM
		To: Arash.
		Cc: [email-masked]
		Subject: Re: [Megaco] wildcards 
		
		The general Megaco model does not assume that phone
numbers are assigned
		to specific terminations.  The linkage between phone
number and
		terminationID would normally be kept in the MGC.  The
only way the MG
		could have this information is:
		  -- because the terminationID includes the phone
number. This would be
		a local convention requiring agreement between the MG
and MGC; or
		  -- because some package supported by the terminations
of the MG 
		includes a property that contains the assigned telephone
number.  I
		don't know all the available packages in detail, but I'm
not aware of
		such a package.
		
		Note that if telephone numbers were assigned to specific
terminations, 
		you couldn't have features such as hunt groups.
		
		Arash. wrote:
		> hi ...
		>
		> Supposing the MGC wants to add a physical termination
provisioned in a
		
		> specific MG but it doesnt know its terminationID , Can
I ADD a 
		> termination to a context with TerminationID=ALL ,and
DigitMap
		> descriptor defining the exact phone number MGC is
looking for so MG
		> can reply with the TerminationID it has assigned to
that specific
		> phoneline provisioned in it?
		>
		> Thanks ahead,
		> Arash.
		>
		>
		>
----------------------------------------------------------------------
		> --
		>
		> _______________________________________________ 
		> Megaco mailing list
		> [email-masked]
		> https://www1.ietf.org/mailman/listinfo/megaco

		_______________________________________________ 
		Megaco mailing list
		[email-masked]
		https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco